Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: [OMPI devel] v1.7.4 REGRESSION: build failure w/ old OFED
From: Paul Hargrove (phhargrove_at_[hidden])
Date: 2014-02-08 18:50:26


With Ralph's announcement that oshmem had been merged to v1.7 I started
tests on lots of systems.
When I found the problem described below, I tried the 1.7.4 release, I
found the problem exists there too!!

One system I tried is a fairly ancient x86-64/linux system w/ QLogic HCAs,
and thus builds and tests mtl:psm.
As a guest on this system I had NOT been testing it with all the 1.7.4rc's,
but had tested at least once w/o problems (
http://www.open-mpi.org/community/lists/devel/2014/01/13661.php).

However, with both the 1.7.4 release and the current tarball
(1.7.5a1r30634) I seem to be getting an ibv error that is probably due to
the age of the OFED on this system:

  CCLD otfmerge-mpi
/home/phhargrove/OMPI/openmpi-1.7-latest-linux-x86_64-psm/BLD/ompi/contrib/vt/vt/../../../.libs/libmpi.so:
undefined reference to `ibv_event_type_str'
collect2: ld returned 1 exit status

The problem seems to be originating in the usenic btl:
$ grep -rl ibv_event_type_str .
./ompi/mca/btl/usnic/btl_usnic_module.c

-Paul

-- 
Paul H. Hargrove                          PHHargrove_at_[hidden]
Future Technologies Group
Computer and Data Sciences Department     Tel: +1-510-495-2352
Lawrence Berkeley National Laboratory     Fax: +1-510-486-6900